---
updatedAt: 2026-03-26T04:46:57.000Z
agentTools:
  projectIndex: https://developer.nearmap.com/llms.txt
---

# /coverage/v2 /aggregate/boundaries.{fileFormat}

***Returns the aggregate boundaries per category for all areas where there is coverage.Category types to return can be specified as a query parameter***

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Coverage",
    "description": "Provides information about available Nearmap resources at specific times and places.",
    "version": "2.1.0",
    "contact": {
      "email": "apiteam@nearmap.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "servers": [
    {
      "description": "Production",
      "url": "https://api.nearmap.com/coverage/v2"
    }
  ],
  "security": [
    {
      "APIKeyQuery": []
    },
    {
      "APIKeyHeader": []
    }
  ],
  "paths": {
    "/aggregate/boundaries.{fileFormat}": {
      "get": {
        "tags": [
          "coverage boundaries"
        ],
        "summary": "Aggregate boundaries for all areas with coverage",
        "description": "Returns the aggregate boundaries per category for all areas where there is coverage.\nCategory types to return can be specified as a query parameter\n",
        "operationId": "aggregateBoundaries",
        "parameters": [
          {
            "name": "fileFormat",
            "in": "path",
            "description": "Response file format.\n",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/FileFormat"
            }
          },
          {
            "name": "types",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Comma separated list of categories to include in the response. Default is Vertical, Oblique and 3D.\nAvailable types are Vertical, Panorama, Terrain, TrueOrtho, NIR, Oblique, 3D, Predictions.\n",
            "example": "Vertical,Terrain,Oblique"
          }
        ],
        "responses": {
          "200": {
            "description": "Category types with boundaries as specified",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AggregateResourceFeatureCollection"
                }
              }
            }
          },
          "400": {
            "description": "On bad input parameter"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "APIKeyQuery": {
        "name": "apikey",
        "type": "apiKey",
        "in": "query"
      },
      "APIKeyHeader": {
        "name": "Authorization",
        "type": "apiKey",
        "in": "header",
        "description": "Header value in the format 'Apikey <api_key>'"
      }
    },
    "schemas": {
      "FileFormat": {
        "type": "string",
        "default": "geojson",
        "enum": [
          "geojson"
        ]
      },
      "Point": {
        "type": "array",
        "description": "Point in 2D space",
        "externalDocs": {
          "url": "http://geojson.org/geojson-spec.html#id2"
        },
        "minItems": 2,
        "maxItems": 2,
        "items": {
          "type": "number"
        }
      },
      "Geometry": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "GeoJSON geometry object",
            "enum": [
              "MultiPolygon"
            ]
          },
          "coordinates": {
            "type": "array",
            "items": {
              "type": "array",
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Point"
                }
              }
            }
          }
        }
      },
      "AggregateResourceFeatureCollection": {
        "type": "object",
        "description": "Contents as GeoJSON FeatureCollection",
        "externalDocs": {
          "url": "https://tools.ietf.org/html/rfc7946#section-3.3o"
        },
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "FeatureCollection"
            ]
          },
          "features": {
            "type": "array",
            "description": "List of resources",
            "items": {
              "$ref": "#/components/schemas/AggregateResourceFeature"
            }
          }
        }
      },
      "AggregateResourceFeature": {
        "type": "object",
        "description": "Aggregate object as a GeoJSON Feature",
        "externalDocs": {
          "url": "https://tools.ietf.org/html/rfc7946#section-3.2"
        },
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "Feature"
            ]
          },
          "geometry": {
            "$ref": "#/components/schemas/Geometry"
          },
          "properties": {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "description": "Type of the survey resource",
                "enum": [
                  "Vertical",
                  "Panorama",
                  "Terrain",
                  "TrueOrtho",
                  "NIR",
                  "Oblique",
                  "3D",
                  "Predictions"
                ]
              }
            }
          }
        }
      }
    }
  }
}
```